Subject: Re: bug#2473: usability issues on emacs's describe-mode

From: Lennart Borgman <[email-masked]>
Date: Sat, 28 Feb 2009 00:56:55 +0100

On Sat, Feb 28, 2009 at 12:33 AM, Richard M Stallman <[email-masked]> wrote:
>    I see a 3rd way: make the buffer present an expandable list of modes,
>    starting with just 2 items: the current major modes and "minor modes",
>    e.g. similar to what we do in Speedbar, or maybe in Outline Mode
>    (under "Hide Sublevels").  In ASCII art:
>
>      + Major Mode: RMAIL Mode
>      + Minor Modes
>
> Using hiding is a good idea -- thanks.
>
> I think that partcular way would be inconvenient.  Specifically, it
> would be a hassle to initially hide the major mode documentation.
> That is what users most often want to see; making them type a command
> to expose it would be a gratuitous hassle.
>
> So I suggest putting the partly-hidden minor mode list first,
> followed by the totally visible major mode documentation.

Maybe, but then make the major mode "node" hideable too.